> For the complete documentation index, see [llms.txt](https://docs.thebrief.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thebrief.ai/public-api/rest-api/folders/move-design-to-folder.md).

# Move design to folder

This endpoint is used to move a design to a specific folder.

### Request

* Method: POST
* Endpoint: `https://api.thebrief.ai/v1/moveDesignToFolder`
* Body:
  * `designHash` (string, required): The hash of the design to be moved.
  * `folderId` (integer, required): The ID of the folder to which the design will be moved. If you want to move on to the root of the project `folderId`should be `-1`.

```bash
curl --location 'https://api.thebrief.ai/v1/moveDesignToFolder' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhdXUpI2Yi5h4...' \
--data '{
  "designHash": "mz2k0q",
  "folderId": 716578
}'
```

### Response

Upon successful execution, the response will have a status code of 200 and a JSON content type. The response body will contain the following structure:

JSON

```json
{
    "response": true
}
```
